package com.ruoyi.jarvis.mapper;

import java.util.List;
import com.ruoyi.jarvis.domain.PrdErrorTip;

/**
 * 商品错误提示Mapper接口
 * 
 * @author ruoyi
 * @date 2024-01-01
 */
public interface PrdErrorTipMapper 
{
    /**
     * 查询商品错误提示
     * 
     * @param id 商品错误提示主键
     * @return 商品错误提示
     */
    public PrdErrorTip selectPrdErrorTipById(Long id);

    /**
     * 查询商品错误提示列表
     * 
     * @param prdErrorTip 商品错误提示
     * @return 商品错误提示集合
     */
    public List<PrdErrorTip> selectPrdErrorTipList(PrdErrorTip prdErrorTip);

    /**
     * 新增商品错误提示
     * 
     * @param prdErrorTip 商品错误提示
     * @return 结果
     */
    public int insertPrdErrorTip(PrdErrorTip prdErrorTip);

    /**
     * 修改商品错误提示
     * 
     * @param prdErrorTip 商品错误提示
     * @return 结果
     */
    public int updatePrdErrorTip(PrdErrorTip prdErrorTip);

    /**
     * 删除商品错误提示
     * 
     * @param id 商品错误提示主键
     * @return 结果
     */
    public int deletePrdErrorTipById(Long id);

    /**
     * 批量删除商品错误提示
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePrdErrorTipByIds(Long[] ids);

    /**
     * 根据错误代码和子代码查询错误提示
     * 
     * @param errCode 错误代码
     * @param errSubCode 错误子代码
     * @return 商品错误提示
     */
    public PrdErrorTip selectPrdErrorTipByCode(String errCode, String errSubCode);
}
